import { getEvents, getCategories } from "./utils";
import { calendarEvents, Category } from "./data";
import CalendarView from "./calender-view";

const CalenderPage = async () => {
  const events = await getEvents();
  const categories = await getCategories();
  const formattedCategories = categories.map((category: Category) => ({
    ...category,
    activeClass: "",
  }));
  return (
    <div>
      <CalendarView categories={formattedCategories} />
    </div>
  );
};

export default CalenderPage;
